Page MenuHomePhabricator

Compilation failed: regular expression is too large in ApiQueryExtracts
Closed, ResolvedPublic

Description

Compilation failed: regular expression is too large at offset 58 in /usr/local/apache/common-local/php-1.21wmf12/extensions/MobileFrontend/includes/api/ApiQueryExtracts.php on line 261


Version: unspecified
Severity: normal

Details

Reference
bz46581

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 1:20 AM
bzimport set Reference to bz46581.
bzimport added a subscriber: Unknown Object (MLST).
MaxSem created this task.Mar 26 2013, 8:55 PM

Is this still happening?

Bump. Is this still happening?

Related URL: https://gerrit.wikimedia.org/r/63693 (Gerrit Change I1f132f03930c02b259ad03987aef52cc24f4a848)

Appeared once during the last week. I've added logging in https://gerrit.wikimedia.org/r/63693 to help track this problem down.

Any movement on this bug?

Here are a couple of examples from the log:
mw1202 enwiki: Invalid regular expression: /^(.+?(?:([^\d])\.\s|\!\s|\?\s|。|.|!|?|。)+){100}/u
mw1195 enwiki: Invalid regular expression: /^(.+?(?:([^\d])\.\s|\!\s|\?\s|。|.|!|?|。)+){20}/u

Unfortunately, that doesn't tell us much about why the regex is actually failing. I'm going to add the page IDs to the logging, so we can investigate further.

Change 72121 had a related patch set uploaded by Kaldari:
Adding the page ID to the debugging output

https://gerrit.wikimedia.org/r/72121

Change 72121 merged by jenkins-bot:
Adding the page to the debugging output

https://gerrit.wikimedia.org/r/72121

Change 73396 had a related patch set uploaded by MaxSem:
Fix regexp error in prop=extracts

https://gerrit.wikimedia.org/r/73396

Change 73396 merged by jenkins-bot:
Fix regexp error in prop=extracts

https://gerrit.wikimedia.org/r/73396

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptJan 28 2016, 5:58 PM